<main>
    <mat-card>
        <button mat-button (click)="openTransactionDialog()">
            <mat-icon>add</mat-icon>
            Envoyer de l’argent
        </button>
        <mat-card-content>
            <table mat-table [dataSource]="transactions" matSort>
                <ng-container matColumnDef="sender">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Expéditeur </th>
                    <td mat-cell *matCellDef="let transaction"> {{ transaction.senderWalletId }} </td>
                </ng-container>

                <ng-container matColumnDef="receiver">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Destinataire </th>
                    <td mat-cell *matCellDef="let transaction"> {{ transaction.receiverWalletId }} </td>
                </ng-container>

                <ng-container matColumnDef="amount">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Montant </th>
                    <td mat-cell *matCellDef="let transaction"> {{ transaction.amount | number : '1.2-2' }} €</td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
                <tr mat-row (click)="navigateToTransaction(transaction.id)"
                    *matRowDef=" let transaction; columns: columnsToDisplay">
                </tr>
            </table>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </mat-card-content>
    </mat-card>
</main>